Subject: Re: bug#75530: [PATCH 2/3] Remap read-only-mode for Occur modes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2025 12:26:34 +0200

> Cc: Liam Hupfer <[email-masked]>
> From: Liam Hupfer <[email-masked]>
> Date: Sun, 12 Jan 2025 19:00:35 -0600
> 
> +** Occur mode
> +
> +---
> +*** Occur Edit entry and exit points remap 'read-only-mode'.
> +Like Wdired, 'read-only-mode' is remapped in 'occur-mode-map' and
> +'occur-edit-mode-map' to enter and exit 'occur-edit-mode', respectively.

Please make this description stand-alone, without referring to Wdired.
People frequently read only the parts of NEWS that are of interest to
them.

And the same comments as for the previous patch: the NEWS entry should
explain the change in terms of key bindings, not in technical terms of
remapping, since this is a user-level change.

Thanks.